Bug 640954 - (CVE-2010-3454) CVE-2010-3454 OpenOffice.org: Array index error by scanning document typography information of certain *.doc files
CVE-2010-3454 OpenOffice.org: Array index error by scanning document typograp...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,source=upstream,repo...
: Security
Depends On: 642175 642176 642184 642185 642192 642196 642200 642201 804532
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-07 06:54 EDT by Huzaifa S. Sidhpurwala
Modified: 2015-07-29 09:07 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 09:07:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2010-10-07 06:54:10 EDT
Array index error, leading to heap based buffer overflow (two occurrences of invalid write by one byte) was found in the way OpenOffice.org performed scanning of the typography information of certain Microsoft Word Binary File Format (.DOC) files with certain user defined list styles (WW8).
If a user opened a specially-crafted DOC file in OpenOffice.org suite tool (oowriter), it could lead to denial of service (oowriter executable crash), 
or possibly, execute arbitrary code with the privileges of the user running
OpenOffice.org Writer. 

References:
[1] http://www.cs.brown.edu/people/drosenbe/research.html

Acknowledgements:

Red Hat would like to thank OpenOffice.org for reporting this issue. Upstream acknowledges Dan Rosenberg of Virtual Security Research as the original reporter.
Comment 10 Huzaifa S. Sidhpurwala 2011-01-26 22:51:13 EST
Public via:
http://www.openoffice.org/security/cves/CVE-2010-3453_CVE-2010-3454.html
Comment 11 errata-xmlrpc 2011-01-28 07:56:41 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2011:0181 https://rhn.redhat.com/errata/RHSA-2011-0181.html
Comment 12 errata-xmlrpc 2011-01-28 08:02:23 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0182 https://rhn.redhat.com/errata/RHSA-2011-0182.html
Comment 13 errata-xmlrpc 2011-01-28 10:24:50 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0183 https://rhn.redhat.com/errata/RHSA-2011-0183.html

Note You need to log in before you can comment on or make changes to this bug.